### Method

# Meta IdleMonitor add_user_active_watch

#### Declaration [src]

    guint
    meta_idle_monitor_add_user_active_watch (
      MetaIdleMonitor* monitor,
      MetaIdleMonitorWatchFunc callback,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description

No description available.

#### Parameters

`callback`

  Type: `MetaIdleMonitorWatchFunc`

  The callback to call when the user is active again.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The user data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  A `GDestroyNotify`.

#### Return value

Type: `guint`

A watch id

Add a one-time watch to know when the user is active again. Note that this watch is one-time and will de-activate after the function is called, for efficiency purposes. It’s most convenient to call this when an idle watch, as added by meta_idle_monitor_add_idle_watch(), has triggered.